Bug 242611 - [NEW PORT] www/py-flask-smorest: Flask/Marshmallow-based REST API framework
Summary: [NEW PORT] www/py-flask-smorest: Flask/Marshmallow-based REST API framework
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: feature
Depends on: 242609 242610
Blocks: 242817
  Show dependency treegraph
 
Reported: 2019-12-12 20:25 UTC by Goran Mekić
Modified: 2020-01-11 12:09 UTC (History)
1 user (show)

See Also:


Attachments
py-flask-smorest.shar (2.25 KB, text/plain)
2019-12-12 20:25 UTC, Goran Mekić
no flags Details
py-flask-smorest.diff (2.73 KB, patch)
2019-12-17 23:07 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2019-12-12 20:25:11 UTC
Created attachment 209902 [details]
py-flask-smorest.shar
Comment 1 Goran Mekić 2019-12-17 23:07:07 UTC
Created attachment 210017 [details]
py-flask-smorest.diff

I added tests and made it a git diff (thanx koobs@ for the guide).
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-11 10:53:25 UTC
Review items, already addressed in my working copy:

COMMENT should match setup.py:description (modulo portlint compliance)

setup.py:*_requires declares version requirements, match these as closely as possible, given our *_DEPENDS syntax:

    install_requires=[
        'werkzeug>=0.15',
        'flask>=1.1.0',
        'marshmallow>=2.15.2',
        'webargs>=1.5.2',
        'apispec>=3.0.0',
    ],
Comment 3 commit-hook freebsd_committer 2020-01-11 12:08:47 UTC
A commit references this bug:

Author: koobs
Date: Sat Jan 11 12:08:35 UTC 2020
New revision: 522679
URL: https://svnweb.freebsd.org/changeset/ports/522679

Log:
  [NEW] www/py-flask-smorest: Flask/Marshmallow-based REST API framework

  REST API framework built upon Flask and marshmallow.

    - Serialization, deserialization and validation using marshmallow Schema
    - Explicit validation error messages returned in response
    - Database-agnostic
    - OpenAPI (Swagger) specification automatically generated and exposed with
      ReDoc or Swagger UI
    - Pagination
    - ETag

  WWW: https://github.com/marshmallow-code/flask-smorest

  PR:		242611
  Submitted by:	Goran Meki? <meka@tilda.center>

Changes:
  head/www/Makefile
  head/www/py-flask-smorest/
  head/www/py-flask-smorest/Makefile
  head/www/py-flask-smorest/distinfo
  head/www/py-flask-smorest/pkg-descr
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-11 12:09:30 UTC
Committed with changes, thanks Goran!